org.optaplanner.core.config.localsearch.decider.forager

## Class LocalSearchForagerConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<LocalSearchForagerConfig>
  - - org.optaplanner.core.config.localsearch.decider.forager.LocalSearchForagerConfig

-     public class LocalSearchForagerConfig
      extends AbstractConfig<LocalSearchForagerConfig>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Integer` | `acceptedCountLimit`
    `protected Boolean` | `breakTieRandomly`
    `protected FinalistPodiumType` | `finalistPodiumType`
    `protected LocalSearchPickEarlyType` | `pickEarlyType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalSearchForagerConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocalSearchForager` | `buildForager(HeuristicConfigPolicy configPolicy)`
    `LocalSearchForagerConfig` | `copyConfig()` Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
    `Integer` | `getAcceptedCountLimit()`
    `Boolean` | `getBreakTieRandomly()`
    `FinalistPodiumType` | `getFinalistPodiumType()`
    `Class<? extends LocalSearchForager>` | `getForagerClass()` Deprecated.
    `LocalSearchPickEarlyType` | `getPickEarlyType()`
    `LocalSearchForagerConfig` | `inherit(LocalSearchForagerConfig inheritedConfig)` Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setAcceptedCountLimit(Integer acceptedCountLimit)`
    `void` | `setBreakTieRandomly(Boolean breakTieRandomly)`
    `void` | `setFinalistPodiumType(FinalistPodiumType finalistPodiumType)`
    `void` | `setForagerClass(Class<? extends LocalSearchForager> foragerClass)` Deprecated.
    `void` | `setPickEarlyType(LocalSearchPickEarlyType pickEarlyType)`
    `LocalSearchForagerConfig` | `withAcceptedCountLimit(int acceptedCountLimit)`
    `LocalSearchForagerConfig` | `withBreakTieRandomly(boolean breakTieRandomly)`
    `LocalSearchForagerConfig` | `withFinalistPodiumType(FinalistPodiumType finalistPodiumType)`
    `LocalSearchForagerConfig` | `withPickEarlyType(LocalSearchPickEarlyType pickEarlyType)`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pickEarlyType

          protected LocalSearchPickEarlyType pickEarlyType

    - #### acceptedCountLimit

          protected Integer acceptedCountLimit

    - #### finalistPodiumType

          protected FinalistPodiumType finalistPodiumType

    - #### breakTieRandomly

          protected Boolean breakTieRandomly

  - ### Constructor Detail

    - #### LocalSearchForagerConfig

          public LocalSearchForagerConfig()

  - ### Method Detail

    - #### getForagerClass

          @Deprecated
          public Class<? extends LocalSearchForager> getForagerClass()

      Deprecated.

    - #### setForagerClass

          @Deprecated
          public void setForagerClass(Class<? extends LocalSearchForager> foragerClass)

      Deprecated.

    - #### getPickEarlyType

          public LocalSearchPickEarlyType getPickEarlyType()

    - #### setPickEarlyType

          public void setPickEarlyType(LocalSearchPickEarlyType pickEarlyType)

    - #### getAcceptedCountLimit

          public Integer getAcceptedCountLimit()

    - #### setAcceptedCountLimit

          public void setAcceptedCountLimit(Integer acceptedCountLimit)

    - #### getFinalistPodiumType

          public FinalistPodiumType getFinalistPodiumType()

    - #### setFinalistPodiumType

          public void setFinalistPodiumType(FinalistPodiumType finalistPodiumType)

    - #### getBreakTieRandomly

          public Boolean getBreakTieRandomly()

    - #### setBreakTieRandomly

          public void setBreakTieRandomly(Boolean breakTieRandomly)

    - #### withPickEarlyType

          public LocalSearchForagerConfig withPickEarlyType(LocalSearchPickEarlyType pickEarlyType)

    - #### withAcceptedCountLimit

          public LocalSearchForagerConfig withAcceptedCountLimit(int acceptedCountLimit)

    - #### withFinalistPodiumType

          public LocalSearchForagerConfig withFinalistPodiumType(FinalistPodiumType finalistPodiumType)

    - #### withBreakTieRandomly

          public LocalSearchForagerConfig withBreakTieRandomly(boolean breakTieRandomly)

    - #### buildForager

          public LocalSearchForager buildForager(HeuristicConfigPolicy configPolicy)

    - #### inherit

          public LocalSearchForagerConfig inherit(LocalSearchForagerConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Specified by:
        `inherit` in class `AbstractConfig<LocalSearchForagerConfig>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this

    - #### copyConfig

          public LocalSearchForagerConfig copyConfig()

      Description copied from class: `AbstractConfig`
      Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
      Specified by:
        `copyConfig` in class `AbstractConfig<LocalSearchForagerConfig>`
      Returns:
        new instance

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.